version: "3.1"

services:
  app:
    container_name: app
    #image: registry.gitlab.com/eternaltwin/pioupiouz/pioupiouz:main
    build:
      context: .
      dockerfile: Dockerfile
    restart: unless-stopped
    ports:
      - 3000:3000
    depends_on:
      - db
    environment:
      DATABASE_HOST: db
      ALLOW_USER_REGISTRATION: true
      NODE_ENV: development
      API_BASE_URL: "http://localhost:3000"

  db:
    container_name: db
    image: postgres
    restart: unless-stopped
    environment:
      POSTGRES_USER: user
      POSTGRES_PASSWORD: pass
      POSTGRES_DB: debug
    ports:
      - 5432:5432
